Draw Callback

- « UI\Area

- UI\Area::onKey »

- PHP Manual
- UI\Area
- Draw Callback

# UI\Area::onDraw

(UI 0.9.9)

UI\Area::onDraw — Draw Callback

### Description

protected UI\Area::onDraw(
UI\Draw\Pen `$pen`,
UI\Size `$areaSize`,
UI\Point `$clipPoint`,
UI\Size `$clipSize`
)

Shall be invoked when this Area requires redrawing

### Parameters

`pen`

  A Pen suitable for drawing in this Area

`areaSize`

  The size of the Area

`clipPoint`

  The clip point of the Area

`clipSize`

  The clip size of the Area